New Firmware not compatible with current ros version

Post Reply
PHKE
Posts: 4
Joined: Thu Aug 15, 2019 8:23 am

New Firmware not compatible with current ros version

Post by PHKE » Thu Aug 15, 2019 8:29 am

Hello,

today, we updated our Scene Scan to firmware version 4.0.0 and tried to launch it with ROS (we use the current version 3.4.0). We got the following error message and breakup of the node:
[ERROR] [1565856258.803210398]: ParameterException while obtaining parameter enumeration: Enumeration contained a ParameterID for which no name is known: 524

Best regards
Phililpp
k.schauwecker
Posts: 28
Joined: Mon Mar 25, 2019 1:12 pm

Re: New Firmware not compatible with current ros version

Post by k.schauwecker » Thu Aug 15, 2019 12:00 pm

Sorry, you are right. The ROS node was a little bit behind. The new version in the git repository is now compatible:
https://github.com/nerian-vision/nerian_stereo

A new release build has been triggered. Usually it takes a couple of days until new release packages are available on the ROS package servers.
PHKE
Posts: 4
Joined: Thu Aug 15, 2019 8:23 am

Re: New Firmware not compatible with current ros version

Post by PHKE » Fri Aug 16, 2019 7:18 am

Thanks for your reply. I'm sorry to say that, but I updated to ros version 3.5.0 and still getting the same error.
k.schauwecker
Posts: 28
Joined: Mon Mar 25, 2019 1:12 pm

Re: New Firmware not compatible with current ros version

Post by k.schauwecker » Fri Aug 16, 2019 7:28 am

Do you have an older version of the libvisiontranfer library installed somewhere in a library search path?
PHKE
Posts: 4
Joined: Thu Aug 15, 2019 8:23 am

Re: New Firmware not compatible with current ros version

Post by PHKE » Fri Aug 16, 2019 9:24 am

Yes, there is an older version in the library search path. After moving this file, I could start the node. But why doesn't the executable find the newer libversion in the first place?
k.schauwecker
Posts: 28
Joined: Mon Mar 25, 2019 1:12 pm

Re: New Firmware not compatible with current ros version

Post by k.schauwecker » Fri Aug 16, 2019 9:44 am

I'll check. I think there's something in our CMake script that we can do to improve this.
k.schauwecker
Posts: 28
Joined: Mon Mar 25, 2019 1:12 pm

Re: New Firmware not compatible with current ros version

Post by k.schauwecker » Fri Aug 16, 2019 11:25 am

There's an updated CMake file in the git repository that hopefully solves this problem.

Regards,
Konstantin
PHKE
Posts: 4
Joined: Thu Aug 15, 2019 8:23 am

Re: New Firmware not compatible with current ros version

Post by PHKE » Fri Aug 16, 2019 12:01 pm

With the updated CMakeLists.txt everything worked out well. Thanky you very much.

Best regards,
Philipp
Post Reply